//------------------------------------------------------------------
//
// Copyright (c) 1999 - 2009 Tapko Technologies GmbH
//
// PROPRIETARY RIGHTS of Tapko Technologies GmbH are involved
// in the subject matter of this material. All manufacturing,
// reproduction, use, and sales rights pertaining to this subject matter
// are governed by the license agreement. The recipient of this software
// implicitly accepts the terms of the license.
//
// This file is part of the Libraries of Tapko Technologies GmbH
// (e.g. TAPKO EIB/KNX Communication Stack)
//
//------------------------------------------------------------------
// $Workfile: KnxDev_buildType.h $   
// $Archive: /eib_stk/appl/A1008TA_KIMaip_Eval/INC/KnxDev_buildType.h $     

// $Author: Thiere_m $         
// 
// $Date: 20.05.11 10:54 $
// $Revision: 1 $   
//      
//------------------------------------------------------------------
#ifndef KnxDev_buildType_H
#define KnxDev_buildType_H

#ifdef WIN32
  #define  BUILD_APPL_FIX 1
  #ifdef BUILD_SYS_LOADABLE
    #undef BUILD_SYS_LOADABLE 
  #endif
  #ifdef BUILD_APPL_LOADABLE
    #undef BUILD_APPL_LOADABLE
  #endif
#endif

//------------------------------------------------------------------
// set to default if nothing is defined
#if (!defined BUILD_APPL_FIX) && (!defined BUILD_SYS_LOADABLE) && (!defined BUILD_APPL_LOADABLE)
#define BUILD_APPL_FIX
#endif

//------------------------------------------------------------------
// build type
//------------------------------------------------------------------
#ifdef BUILD_APPL_FIX
#define KNX_BUILD_APPL
#define KNX_BUILD_SYSTEM
#endif

#ifdef BUILD_SYS_LOADABLE
#define KNX_BUILD_SYSTEM
#define KNX_BUILD_SYSTEM_LOADABLE
#define SYS_INTERFACE
#define LOADABLE_APPLICATION
#endif

#ifdef BUILD_APPL_LOADABLE
#define KNX_BUILD_APPL
#define KNX_BUILD_APPL_LOADABLE
#define SYS_INTERFACE
#define LOADABLE_APPLICATION
#endif

#ifdef BUILD_LIB
#define KNX_BUILD_SYSTEM
#endif

#endif // KnxDev_buildType_H
