//------------------------------------------------------------------
// $Workfile: app.h $   
// $Archive: /eib_stk/appl/A1008TA_KIMaip_Eval/INC/app.h $     

// $Author: Thiere_m $         
// 
// Copyright Tapko Technologies GmbH
// 
// $Date: 20.05.11 10:54 $
// $Revision: 1 $         
//------------------------------------------------------------------

#include "taUtil_Fifo.h"
#include "TaUtil_serialCom.h"

//------------------------------------------------------------------
//configuration of timer
//------------------------------------------------------------------
#define TM_TIMER_NR          1         // number of timer 
#define TM_IIC_TIMEOUT       0         // one timer is used for IIC

#define SER_PORT                       0

extern const LSC_SerialConfig com1_config;
extern LSC_SerialData com1_data;

void IMM_Init(void);
void IMD_Cycle(void);
void IMD_Init(void);
void SerAsciiInterface_Init(void);
void SerAsciiInterface_Main(void);
void PrintTelegram(MSGPTR l_msg, char startSign);
void IMM_SendMessage(MSGPTR msg);
void IMM_Cycle(void);
void IMD_MsgInd(unsigned char *msg);


extern unsigned char SER_iicMsgRcv[];
#define   SER_RcvPos        SER_iicMsgRcv[MS_MSG_RCV_COUNT]  
#define   SER_SendToIic     SER_iicMsgRcv[MS_MSG_STATE]  

