//------------------------------------------------------------------
//
// Copyright (c) 1999 - 2009 Tapko Technologies GmbH
//
// PROPRIETARY RIGHTS of Tapko Technologies GmbH are involved
// in the subject matter of this material. All manufacturing,
// reproduction, use, and sales rights pertaining to this subject matter
// are governed by the license agreement. The recipient of this software
// implicitly accepts the terms of the license.
//
// This file is part of the Libraries of Tapko Technologies GmbH
// (e.g. TAPKO EIB/KNX Communication Stack)
//
//------------------------------------------------------------------
// $Workfile: TaUtil_types.h $   
// $Archive: /eib_stk/appl/A1008TA_KIMaip_Eval/INC/TaUtil_types.h $     

// $Author: Thiere_m $         
// 
// $Date: 20.05.11 10:54 $
// $Revision: 1 $        
//------------------------------------------------------------------
// 26.02.2004  Allignment directive added for windows
//------------------------------------------------------------------
//#ifndef PROJECT_SETTINGS
//#error error: no project.h included
//#endif

#ifndef TaUtil_types_h
#define TaUtil_types_h

#ifdef _WIN32
  #pragma pack(2)                                // set allignment to 2 bytes for windows project
#endif

#ifndef TA_BOOL
  #define TA_BOOL    signed char   
  #define TA_TRUE    (0==0) 
  #define TA_FALSE   (0==1) 
#endif

#ifndef _BOOL
  #define _BOOL      TA_BOOL   
  #define _TRUE      TA_TRUE
  #define _FALSE     TA_FALSE 
#endif



#define _LOBYTE(value)           ((unsigned char) ((value) & 0x0ff))
#define _HIBYTE(value)           ((unsigned char) ((value) >> 8))
// from windows
//#define LOBYTE(w)           ((BYTE)(w))
//#define HIBYTE(w)           ((BYTE)(((WORD)(w) >> 8) & 0xFF))

#define MSGPTR    unsigned char *
        

#endif   // TaUtil_types_h

