//{{TAPKO_EXPORT_MIC
//------------------------------------------------------------------
// $Workfile: project.h $   
// $Archive: /eib_stk/appl/A1008TA_KIMaip_Eval/INC/project.h $     
//
// $Author: Thiere_m $         
// 
// Copyright Tapko Technologies GmbH
// 
// $Date: 20.05.11 10:54 $
// $Revision: 1 $         
//------------------------------------------------------------------

#include "constant.h"

#define PROJECT_SETTINGS

//------------------------------------------------------------------

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// defining the derivate
#define XT1_FREQU          12000000           // Oszillator frequence in Hz (12 Mhz)
#define DERIVATE          MSP430F2370

#define KNX_MAX_APDU_LENGTH       96      // maximum length of datas
#define MS_MSG_LENGTH             (KNX_MAX_APDU_LENGTH + 1         + 1        + 2         + 1       + 1) 
                                                     //  ^ length  + command  + objectNo  + rcv-Pos + state  

//------------------------------------------------------------------
// constants, defining the offset in the messagebuffer
// general constant
#define MSG_LENGTH                 0
#define MS_MSG_STATE              (MS_MSG_LENGTH - 1)
#define MS_MSG_RCV_COUNT          (MS_MSG_LENGTH - 2)

#define SER_MAX_COMMAND_LENGTH     (2*KNX_MAX_APDU_LENGTH + 20)

#define SC_SetTaskActive(a,b)     // not used in this project
//------------------------------------------------------------------
#define IMM_ENABLE

#define LSC_noOfUarts   1
#define LSC_uartsEnabled              (LSC_ENABLE_UART0)   // bitfield for each uart

#define UART                    0xff      // disable TPUART for eib_stack-files
#define EIB_DEVICE_MODEL        EIB_DEVICE_MODEL_TP_BIM_M112 

void hwinit(void);
void APP_Main(void);
void APP_Init(void);
#define MSP_NO_P20_CLK
